--- /tmp/SBo/redeclipse-1.5/src/Makefile.orig	2015-03-21 18:26:54.000000000 -0600
+++ /tmp/SBo/redeclipse-1.5/src/Makefile	2015-03-23 22:51:17.188245930 -0600
@@ -1,9 +1,10 @@
 APPNAME=redeclipse
 APPCLIENT=$(APPNAME)
 APPSERVER=$(APPNAME)_server
+VERSION=1.5
 
 #CXXFLAGS= -ggdb3
-CXXFLAGS= -O3 -fomit-frame-pointer -ffast-math
+CXXFLAGS= $(EXTRA_CXXFLAGS) -O3 -fomit-frame-pointer -ffast-math
 override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
 
 PLATFORM= $(shell gcc -dumpmachine)
--- /tmp/SBo/redeclipse-1.5/src/system-install.mk.orig	2015-03-21 18:26:54.000000000 -0600
+++ /tmp/SBo/redeclipse-1.5/src/system-install.mk	2015-03-23 23:41:19.164781711 -0600
@@ -2,18 +2,18 @@
 appnamefull=$(shell sed -n 's/.define VERSION_NAME *"\([^"]*\)"/\1/p' version.h)
 appsrcname=$(APPNAME)
 cappname=$(shell echo $(appname) | tr '[:lower:]' '[:upper:]')# Captial appname
-appclient=$(APPCLIENT)
-appserver=$(APPSERVER)
+appclient=$(APPCLIENT)$(BIN_SUFFIX)
+appserver=$(APPSERVER)$(BIN_SUFFIX)
 
-prefix=/usr/local
+prefix=/usr
 games=
 gamesbin=/bin
 bindir=$(DESTDIR)$(prefix)/bin
 gamesbindir=$(DESTDIR)$(prefix)$(gamesbin)
-libexecdir=$(DESTDIR)$(prefix)/lib$(games)
-datadir=$(DESTDIR)$(prefix)/share$(games)
-docdir=$(DESTDIR)$(prefix)/share/doc
-mandir=$(DESTDIR)$(prefix)/share/man
+libexecdir=$(DESTDIR)$(prefix)/share/$(appname)-$(VERSION)/lib
+datadir=$(DESTDIR)$(prefix)/share/$(appname)-$(VERSION)
+docdir=$(DESTDIR)$(prefix)/doc/$(appname)-$(VERSION)
+mandir=$(DESTDIR)$(prefix)/man
 menudir=$(DESTDIR)$(prefix)/share/applications
 icondir=$(DESTDIR)$(prefix)/share/icons/hicolor
 pixmapdir=$(DESTDIR)$(prefix)/share/pixmaps
@@ -53,70 +53,71 @@
 icons: $(ICONS)
 
 system-install-client: client
-	$(MKDIR) $(libexecdir)/$(appname)
+	$(MKDIR) $(libexecdir)
 	$(MKDIR) $(gamesbindir)
-	install -m755 $(appclient) $(libexecdir)/$(appname)/$(appname)
+	install -m755 $(appclient) $(libexecdir)/$(appname)
 	install -m755 install/nix/$(appsrcname).am \
 		$(gamesbindir)/$(appname)
 	printf "\
 	g,@LIBEXECDIR@,\
-	s,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g\n\
+	s,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g\n\
 	g,@DATADIR@,\
-	s,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g\n\
+	s,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g\n\
 	g,@DOCDIR@,\
-	s,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g\n\
+	s,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g\n\
 	g,@APPNAME@,\
 	s,@APPNAME@,$(appname),g\n\
 	w\n" | ed -s $(gamesbindir)/$(appname)
 	ln -s $(patsubst $(DESTDIR)%,%,$(datadir))/$(appname)/data \
-		$(libexecdir)/$(appname)/data
+		$(libexecdir)/data
 
 system-install-server: server
-	$(MKDIR) $(libexecdir)/$(appname)
+	$(MKDIR) $(libexecdir)
 	$(MKDIR) $(gamesbindir)
-	$(MKDIR) $(datadir)/$(appname)
+	$(MKDIR) $(datadir)
 	install -m755 $(appserver) \
-		$(libexecdir)/$(appname)/$(appname)-server
+		$(libexecdir)/$(appname)-server
 	install -m755 install/nix/$(appsrcname)-server.am \
 		$(gamesbindir)/$(appname)-server
 	printf "\
 	g,@LIBEXECDIR@,\
-	s,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g\n\
+	s,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g\n\
 	g,@DATADIR@,\
-	s,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g\n\
+	s,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g\n\
 	g,@DOCDIR@,\
-	s,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g\n\
+	s,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g\n\
 	g,@APPNAME@,\
 	s,@APPNAME@,$(appname),g\n\
 	w\n" | ed -s $(gamesbindir)/$(appname)-server
-	install -m644 ../config/version.cfg \
-		$(datadir)/$(appname)/version.cfg
 	ln -s $(patsubst $(DESTDIR)%,%,$(datadir))/$(appname)/version.cfg \
-		$(libexecdir)/$(appname)/version.cfg
+		$(libexecdir)/version.cfg
 
 system-install-data:
-	cp -r ../data $(datadir)/$(appname)/data
-	rm -f $(datadir)/$(appname)/data/misc/largeandincharge.png
+	cp -r ../data $(datadir)/data
+	rm -f $(datadir)/data/misc/largeandincharge.png
+
+system-install-config:
+	cp -r ../config $(datadir)/config
 
 system-install-docs: $(MANPAGES)
 	$(MKDIR) $(mandir)/man6
 	$(MKDIR) $(docdir)/$(appname)
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-e 's,@CAPPNAME@,$(cappname),g' \
 		../doc/man/$(appsrcname).6.am | \
 		gzip -9 -n -c > $(mandir)/man6/$(appname).6.gz
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-e 's,@CAPPNAME@,$(cappname),g' \
 		../doc/man/$(appsrcname)-server.6.am | \
 		gzip -9 -n -c > $(mandir)/man6/$(appname)-server.6.gz
-	cp -r ../doc/examples $(docdir)/$(appname)/examples
-	cp ../doc/guidelines.txt $(docdir)/$(appname)/guidelines.txt
+	cp -r ../doc/examples $(docdir)/examples
+	cp ../doc/guidelines.txt $(docdir)/guidelines.txt
 
 system-install-menus: icons
 	$(MKDIR) $(menudir)
@@ -126,9 +127,9 @@
 	$(MKDIR) $(icondir)/64x64/apps
 	$(MKDIR) $(icondir)/128x128/apps
 	$(MKDIR) $(pixmapdir)
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		install/nix/$(appsrcname).desktop.am > \
 		$(menudir)/$(appname).desktop
@@ -154,7 +155,7 @@
 	gzip -9 -n -c < ../doc/man/cube2font.1 \
 		> $(mandir)/man1/cube2font.1.gz
 
-system-install: system-install-client system-install-server system-install-data system-install-docs system-install-menus
+system-install: system-install-client system-install-server system-install-config system-install-data system-install-docs system-install-menus
 
 system-uninstall-client:
 	@rm -fv $(libexecdir)/$(appname)/$(appname)
